# Environments

## Pre-Requisites

The current implementation required CDISC library access to access CDISC standards (freely available also for non-CDISC-members), a Neo4j database license for the database (a community version is available) and a set of servers where the web applications and API services can run. A docker-setup is available as well.

Access to the open-source code is available via [GitLab](https://gitlab.com/Novo-Nordisk/nn-public/openstudybuilder/OpenStudyBuilder-Solution){target=_blank}.

Access to a cloud-based or a dedicated evaluation environment can be provided by Neo4j free of charge. Please check the following section for more information.

It is also possible to run the full system on a **local desktop environment** or on an individual cloud subscription on any of the main cloud providers. Instructions on how to set up the system on a local desktop can be found in the [readme](https://gitlab.com/Novo-Nordisk/nn-public/openstudybuilder/OpenStudyBuilder-Solution/-/blob/main/README.md){target=_blank} file. The different components can also be used independently due to the modular implementation and API usages - install instructions are available in the single sub-areas readme files.

## Cloud evaluation environments

To evaluate the OpenStudyBuilder, Neo4j can provide you with an evaluation environment in different flavors, cloud-based and leveraging AuraDB.

This environment can be provided to you in different ways:

Type | Access | Complete initial dataset | Custom data | Usable for production | Pricing
--|--|--|--|--|--
Sandbox | Public | No | No - creating elements is possible, but this environment will be refreshed periodically | No | Free
Custom sandbox | Restricted | Optionally | Yes | No | Free - Limited time
Dedicated | Restricted | Yes | Yes | Optionally | See contact details below

All of the above can be made available in a modular fashion, for instance:

1. Neo4j AuraDB database + OpenStudyBuilder App and API
2. Neo4j AuraDB database + OpenStudyBuilder API (build your own Study Builder app on top of it)
3. Neo4j AuraDB database only (for exploration purposes)

Please note that Neo4j AuraDB exists in 3 flavors :

1. Free - Free forever, with limited number of nodes and relationships
2. Pro - Pay as you go, for medium scale applications
3. Enterprise - Advanced security and support

To learn more, visit the [AuraDB website here](https://neo4j.com/cloud/platform/aura-graph-database/), or see contact details below.

## Contact details

For more information about the evaluation environment, please use the following contact information:

- Jan Aertsen - Professional Services EMEA
- +32(485)329828 & +39(339)8702150
- <a href="mailto:openstudybuilder@neotechnology.com">openstudybuilder@neotechnology.com</a>

## Public Sandbox Access

The public sandbox access can be requested via mail: <a href="mailto:openstudybuilder@neotechnology.com?subject=Request%20Sandbox%20Access">
openstudybuilder@neotechnology.com (Request Sandbox Access)</a>.